<!-- This file is autogenerated. See CONTRIBUTING.md for instructions to add an entry. -->

# GO API Changelog

This changelog includes only developer-facing changes.
If you are looking for user-facing changes, check out [CHANGELOG.md](./CHANGELOG.md).

<!-- next version -->

## v0.83.0

### 🛑 Breaking changes 🛑

- `exporter/clickhouse`: Change the type of `Config.Password` to be `configopaque.String` (#17273)
- `all`: Remove go 1.19 support, bump minimum to go 1.20 and add testing for 1.21 (#8207)
- `solacereceiver`: Move model package to the internal package (#24890)
- `receiver/statsdreceiver`: Move protocol and transport packages to internal (#24892)
- `filterprocessor`: Unexport `Strict` and `Regexp` (#24845)
- `metricstransformprocessor`: Unexport elements of the Go API of the processor (#24846)
- `mezmoexporter`: Unexport the `MezmoLogLine` and `MezmoLogBody` structs (#24842)

### 🚩 Deprecations 🚩

- `pkg/stanza`: Deprecate helper.Encoding and helper.EncodingConfig.Build (#24980)
- `pkg/stanza`: Deprecate fileconsumer MatchingCriteria in favor of new matcher package (#24853)

### 💡 Enhancements 💡

- `changelog`: Generate separate changelogs for end users and package consumers (#24014)
- `splunkhecexporter`: Add heartbeat check while startup and new config param, heartbeat/startup (defaults to false). This is different than the healtcheck_startup, as the latter doesn't take token or index into account. (#24411)
- `k8sclusterreceiver`: Allows disabling metrics and resource attributes (#24568)
- `cmd/mdatagen`: Avoid reusing the same ResourceBuilder instance for multiple ResourceMetrics (#24762)

### 🧰 Bug fixes 🧰

- `splunkhecreceiver`: aligns success resp body w/ splunk enterprise (#19219)
  changes resp from plaintext "ok" to json {"text"："success", "code"：0}
